package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学生成绩对象 test_students_scores
 * 
 * @author ruoyi
 * @date 2025-02-18
 */
public class TestStudentsScores extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 分数ID */
    private Long scoreId;

    /** 学生ID */
    @Excel(name = "学生ID")
    private Long studentId;

    /** 课程名称 */
    @Excel(name = "课程名称")
    private String courseName;

    /** 课程分数 */
    @Excel(name = "课程分数")
    private Long score;

    public void setScoreId(Long scoreId) 
    {
        this.scoreId = scoreId;
    }

    public Long getScoreId() 
    {
        return scoreId;
    }
    public void setStudentId(Long studentId) 
    {
        this.studentId = studentId;
    }

    public Long getStudentId() 
    {
        return studentId;
    }
    public void setCourseName(String courseName) 
    {
        this.courseName = courseName;
    }

    public String getCourseName() 
    {
        return courseName;
    }
    public void setScore(Long score) 
    {
        this.score = score;
    }

    public Long getScore() 
    {
        return score;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("scoreId", getScoreId())
            .append("studentId", getStudentId())
            .append("courseName", getCourseName())
            .append("score", getScore())
            .toString();
    }
}
